org.apache.kylin.jdbc

## Class KylinMetaImpl.MetaTable

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode
  - - org.apache.kylin.jdbc.KylinMetaImpl.MetaTable

Enclosing class:
  KylinMetaImpl

    public static class KylinMetaImpl.MetaTable
    extends KylinMetaImpl.AbstractNode

Metadata describing a table.

### Field Summary

Fields
`List<KylinMetaImpl.MetaColumn>` `columns`
`static List<net.hydromatic.avatica.ColumnMetaData>` `meta`
`String` `refGeneration`
`String` `remarks`
`String` `selfReferencingColName`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`
`String` `tableType`
`String` `typeCat`
`String` `typeName`
`String` `typeSchem`

### Constructor Summary

Constructors
Constructor and Description
`KylinMetaImpl.MetaTable(String tableCat, String tableSchem, String tableName, String tableType, String remarks, String typeCat, String typeSchem, String typeName, String selfReferencingColName, String refGeneration, List<KylinMetaImpl.MetaColumn> columns)`

### Method Summary

Methods
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `getChildren()`
`String` `getName()`

### Methods inherited from class org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode

`searchByPatterns`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### meta

    public static final List<net.hydromatic.avatica.ColumnMetaData> meta

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### tableType

    public final String tableType

#### remarks

    public final String remarks

#### typeCat

    public final String typeCat

#### typeSchem

    public final String typeSchem

#### typeName

    public final String typeName

#### selfReferencingColName

    public final String selfReferencingColName

#### refGeneration

    public final String refGeneration

#### columns

    public final List<KylinMetaImpl.MetaColumn> columns

### Constructor Detail

#### KylinMetaImpl.MetaTable

    public KylinMetaImpl.MetaTable(String tableCat,
                           String tableSchem,
                           String tableName,
                           String tableType,
                           String remarks,
                           String typeCat,
                           String typeSchem,
                           String typeName,
                           String selfReferencingColName,
                           String refGeneration,
                           List<KylinMetaImpl.MetaColumn> columns)

### Method Detail

#### getName

    public String getName()

#### getChildren

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> getChildren()